Subject: bug#9121: Error in ispell process

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2011 18:02:28 +0200

Eli Zaretskii <[email-masked]> writes:

>> I first thought is was a charset issue, but apparently not.
>
> Why do you think it isn't a charset issue?

Because I tried it with "héllo", and then it didn't give an error, but
sensible output.  

>> I've tried debugging this, but ispell really seems to give a blank
>> output for this, so I think that "Error in ispell process" is
>> actually correct.
>> 
>> Anybody know what this would mean otherwise?
>
> Question 1: Is this really ispell, or aspell (or something else)?

Let's see..

ispell-program-name => "/usr/bin/aspell"    

> Question 2: What does the speller program, whatever it is, says when
> invoked from the command line on the same word?

[larsi@stories ~/src/emacs/trunk/lisp/textmodes]$ aspell --pipe
@(#) International Ispell Version 3.1.20 (but really Aspell 0.60.6)
héllo
& héllo 34 0: hello, Helli, hell, hallo, hullo, Heall, he'll, hellos, jello, Halli, Heller, Holli, hallow, hollow, Hall, Hill, Hull, hall, halo, heal, heel, hill, hull, hells, Cello, cello, Hally, Hilly, Holly, hilly, holly, hello's, Hell's, hell's

灣

lala
& lala 17 0: Layla, la la, la-la, Alla, Kala, Ala, Lalo, Lela, Lila, Lola, Lula, Lana, Lara, Mala, gala, lama, lava

So 灣 gives an empty output, which is what triggers the "Error in
ispell" message.

So perhaps it's a charset issue anyway?

русский also gives an empty output.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/